%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(URI/QueryParam.pm) perl(WWW/Gazetteer.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name WWW-Gazetteer-Getty
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Find location of world towns and cities
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LB/LBROCARD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A gazetteer is a geographical dictionary (as at the back of an
atlas). The `WWW::Gazetteer::Getty' module uses the information at
http://www.getty.edu/research/conducting_research/vocabularies/tgn/
to return geographical location (longitude, latitude) for towns and 
cities in countries in the world.

This module is a subclass of `WWW::Gazetteer', so you must use that
to create a `WWW::Gazetteer::Getty' object. Once you have imported
the module and created a gazetteer object, calling find($country =>
$town) will return a list of hashrefs with longitude and latitude
information.

  my @londons = $g->find('London', 'UK');
  my $london = $londons[0];
  print $london->{longitude}, ", ", $london->{latitude}, "\n";
  # prints -0.1167, 51.5000

The hashref for London actually looks like this:

  $london = {
    longitude => "-0.167",
    latitude  => "51.500",
    city      => 'London',
    country   => 'United Kingdom',
  };

The city and country values are the same as the ones you used. The
longitude and latitude are in degrees, ranging from -180 to 180 where
(0, 0) is on the Prime Meridian and the equator.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/W*

%changelog
* Mon Apr 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

